Subject: Re: xterm title not shown
From: Sam Edge <[email-masked]>
To: [email-masked]
Date: Wed, 15 May 2002 21:41:14 +0100

Alexander Gottwald wrote in
<[email-masked]>
in gmane.os.cygwin.xfree on Wed, 15 May 2002 17:37:16 +0200 (CEST):

> > The title of xterm defined with option -T or -title does not appear in
> > the title bar, instead the current directory is shown there.  I do not
> > know whether this is a problem of xterm or the window manager, but it
> > happens both with twm and mwm.
> It seems like bash is setting the title. If you use tcsh, the title
> of the xterm is not changed. It seems the bash for linux does not have
> this behavior.

The default /etc/profile sets up PS1 with the xterm escape sequences
to put the username and current directory into the title. Either edit
/etc/profile or override it in your ~/.bash_profile or ~/.bash_rc.

-- 
Sam Edge

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/